import httpRequest from '@/utils/axios'

/**
 * 获取课程列表
 */
export function getCourseList(params) {
  return httpRequest.get('/api/zy-admin/school/course/list', { params })
}
/**
 * 获取课程详情
 */
export function getCourseDetails(params) {
  return httpRequest.get('/api/zy-admin/school/course/view', { params })
}
/**
 * 获取视频地址
 */
export function getVideoUrl(data) {
  return httpRequest.post('/api/zy-admin/school/course/aliyun-video-streaming', data)
}
/**
 * 更新课程
 */
export function updateCourse(data) {
  return httpRequest.post('/api/zy-admin/school/course/update', data)
}
